# Interface ICefZipReader

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefZipReader = interface(ICefBaseRefCounted)`

## Description

Interface that supports the reading of zip archives via the zlib unzip API. The functions of this interface should only be called on the thread that creates the object.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_zip_reader_capi.h">CEF source file: /include/capi/cef_zip_reader_capi.h (cef_zip_reader_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefZipReader

## Overview

### Methods

| `function MoveToFirstFile: Boolean;`
| `function MoveToNextFile: Boolean;`
| `function MoveToFile(const fileName: ustring; caseSensitive: Boolean): Boolean;`
| `function Close: Boolean;`
| `function GetFileName: ustring;`
| `function GetFileSize: Int64;`
| `function GetFileLastModified: TCefBaseTime;`
| `function OpenFile(const password: ustring): Boolean;`
| `function CloseFile: Boolean;`
| `function ReadFile(buffer: Pointer; bufferSize: NativeUInt): Integer;`
| `function Tell: Int64;`
| `function Eof: Boolean;`

## Description

### Methods

| `function MoveToFirstFile: Boolean;`
Moves the cursor to the first file in the archive. Returns true (1) if the cursor position was set successfully. ###### Attributes GUID['{3B6C591F-9877-42B3-8892-AA7B27DA34A8}']

| `function MoveToNextFile: Boolean;`
Moves the cursor to the next file in the archive. Returns true (1) if the cursor position was set successfully.

| `function MoveToFile(const fileName: ustring; caseSensitive: Boolean): Boolean;`
Moves the cursor to the specified file in the archive. If |caseSensitive| is true (1) then the search will be case sensitive. Returns true (1) if the cursor position was set successfully.

| `function Close: Boolean;`
Closes the archive. This should be called directly to ensure that cleanup occurs on the correct thread.

| `function GetFileName: ustring;`
Returns the name of the file.

| `function GetFileSize: Int64;`
Returns the uncompressed size of the file.

| `function GetFileLastModified: TCefBaseTime;`
Returns the last modified timestamp for the file.

| `function OpenFile(const password: ustring): Boolean;`
Opens the file for reading of uncompressed data. A read password may optionally be specified.

| `function CloseFile: Boolean;`
Closes the file.

| `function ReadFile(buffer: Pointer; bufferSize: NativeUInt): Integer;`
Read uncompressed file contents into the specified buffer. Returns < 0 if an error occurred, 0 if at the end of file, or the number of bytes read.

| `function Tell: Int64;`
Returns the current offset in the uncompressed file contents.

| `function Eof: Boolean;`
Returns true (1) if at end of the file contents.

Generated by PasDoc 0.16.0-snapshot.